Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.eviction
Class NodeEntry

    java.lang.Object
      org.jboss.cache.eviction.NodeEntry

    public class NodeEntry

extends java.lang.Object

Value object used in queue

Author:
  Ben Wang 2-2004, Daniel Huang - dhuang@jboss.org

Constructor Summary
`NodeEntry(Fqn fqn)`
`NodeEntry(java.lang.String fqn)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`long` | `getCreationTimeStamp()` Get the time stamp for when the node entry was created.
`Fqn` | `getFqn()`
`long` | `getInUseTimeoutTimestamp()`
`long` | `getModifiedTimeStamp()` Get modified time stamp.
`int` | `getNumberOfElements()`
`int` | `getNumberOfNodeVisits()`
`int` | `hashCode()`
`boolean` | `isCurrentlyInUse()` Is the node currently in use.
`void` | `setCreationTimeStamp(long creationTimeStamp)`
`void` | `setCurrentlyInUse(boolean currentlyInUse, long inUseTimeout)`
`void` | `setModifiedTimeStamp(long modifiedTimeStamp)`
`void` | `setNumberOfElements(int numberOfElements)`
`void` | `setNumberOfNodeVisits(int numberOfNodeVisits)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NodeEntry

    public NodeEntry(Fqn fqn)

### NodeEntry

    public NodeEntry(java.lang.String fqn)

Method Detail

### isCurrentlyInUse

    public boolean isCurrentlyInUse()

  Is the node currently in use.

  Returns:
    True/false if the node is currently marked as in use.

### setCurrentlyInUse

    public void setCurrentlyInUse(boolean currentlyInUse,
                                  long inUseTimeout)

### getInUseTimeoutTimestamp

    public long getInUseTimeoutTimestamp()

### getModifiedTimeStamp

    public long getModifiedTimeStamp()

  Get modified time stamp. This stamp is created during the node is processed so it has some fuzy tolerance in there.

  Returns:
    The last modified time stamp

### setModifiedTimeStamp

    public void setModifiedTimeStamp(long modifiedTimeStamp)

### getCreationTimeStamp

    public long getCreationTimeStamp()

  Get the time stamp for when the node entry was created.

  Returns:
    The node entry creation time stamp

### setCreationTimeStamp

    public void setCreationTimeStamp(long creationTimeStamp)

### getNumberOfNodeVisits

    public int getNumberOfNodeVisits()

### setNumberOfNodeVisits

    public void setNumberOfNodeVisits(int numberOfNodeVisits)

### getNumberOfElements

    public int getNumberOfElements()

### setNumberOfElements

    public void setNumberOfElements(int numberOfElements)

### getFqn

    public Fqn getFqn()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.